<?php
/**
* @version $Id: cbbsbannertab.php $ 
* @version		1.2 b6 pour CB 1.2.3, 1.3.x, 1.4 & bsbanner 09/02/2013
* @package		cbbsbannerTab
* @author       Bernard Saulm
* @copyright	Copyright (C) 2010-2011-2012 Bernard Saulm
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

/** ensure this file is being included by a parent file */
if (!(defined('_VALID_CB') || defined('_JEXEC') || defined('_VALID_MOS') ) ) { die('Direct Access to this location is not allowed.'); }

class cbbsbannerTab extends cbTabHandler {

	function cbbsbannerTab() {
		$this->cbTabHandler();
	}

	// Generate output
	function getDisplayTab($tab,$user,$ui) {

		$return = '';
		$pparams = JComponentHelper::getParams('com_bsbanner');

		$rep_tmp = $this->params->get('param_dir', '');
		if ($rep_tmp == '' )
			$rep_tmp = $pparams->get('fichier_image_rep', 'images/');

		$nb_instance = $this->params->get('nb_instance', '');
		if ($nb_instance == '' )
			$nb_instance = $pparams->get('nb_instance', 1);		

		$heure_now = time(); 
		for ($i = 1 ; $i <= $nb_instance ; ++$i) {
			$image = $user->username.'-'.$i.'.png';
			if (file_exists(JPATH_ROOT.DS.$rep_tmp.$image)) {
				$return .= '<img src="'.JURI::base().$rep_tmp.$image.'?t='.$heure_now.'" alt="'.$image.'" /><br /><br />';
			}
		}

		return $return;
	} // end or getDisplayTab function

} // end of cbbsbannerTab class
?>
